OneinStack 一键小工具升级PHP版本不支持跨版本升级

昨天老蒋在记录"记录OneinStack PHP7.3升级PHP7.4版本的过程"文章升级PHP版本的时候,确实过程比较长时间,如果在确保兼容不出错的前提下,也需要十几分钟才可以。需要先卸载PHP,然后再去安装需要的PHP版本,不过还算好,老蒋连续测试两次没有报错。

实际上,OneinStack 脚本也有自带升级软件的小工具,今天想到这个功能,准备试试是否也支持升级PHP。

OneinStack 一键小工具升级PHP版本不支持跨版本升级

这里我们进入工具,输入:

./upgrade.sh

然后我们会调出软件工具,包括我们可以看到 5 是可以升级PHP,根据版本控制的要求,这里升级到7.4.12。然后回车。

不过,这里是不支持跨版本升级的,如果我们当前的是7.3.24,我们可以升级到当前7.3版本的高级版本,不支持升级到7.4+版本。

就这么个事儿,记录下来。其他小工具也可以参考"OneinStack Web环境常用快捷小工具命令"。

本文出处:老蒋部落 » OneinStack 一键小工具升级PHP版本不支持跨版本升级 | 欢迎分享( 公众号:老蒋玩运营 )